Skip to main content
GET
/
suppressions
curl -X GET 'https://api.resend.com/suppressions' \
     -H 'Authorization: Bearer re_xxxxxxxxx'
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "id": "e169aa45-1ecf-4183-9955-b1499d5701d3",
      "email": "steve.wozniak@gmail.com",
      "origin": "manual",
      "source_id": null,
      "created_at": "2026-10-06T23:47:56.678Z"
    }
  ]
}
The Suppressions API is currently in private beta and only available to a limited number of users. APIs might change before GA.Get in touch if you’re interested in testing this feature.
origin
bounce | complaint | manual
Filter suppressions by origin.Possible values: bounce: emails suppressed automatically after a bounce complaint: emails suppressed due to a user complaint manual: emails suppressed by your team manually
curl -X GET 'https://api.resend.com/suppressions' \
     -H 'Authorization: Bearer re_xxxxxxxxx'
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "id": "e169aa45-1ecf-4183-9955-b1499d5701d3",
      "email": "steve.wozniak@gmail.com",
      "origin": "manual",
      "source_id": null,
      "created_at": "2026-10-06T23:47:56.678Z"
    }
  ]
}